<?php



$tdatadbw_oftotal = array();
$tdatadbw_oftotal[".searchableFields"] = array();
$tdatadbw_oftotal[".ShortName"] = "dbw_oftotal";
$tdatadbw_oftotal[".OwnerID"] = "";
$tdatadbw_oftotal[".OriginalTable"] = "dbw_oftotal";


$tdatadbw_oftotal[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatadbw_oftotal[".originalPagesByType"] = $tdatadbw_oftotal[".pagesByType"];
$tdatadbw_oftotal[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatadbw_oftotal[".originalPages"] = $tdatadbw_oftotal[".pages"];
$tdatadbw_oftotal[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatadbw_oftotal[".originalDefaultPages"] = $tdatadbw_oftotal[".defaultPages"];

//	field labels
$fieldLabelsdbw_oftotal = array();
$fieldToolTipsdbw_oftotal = array();
$pageTitlesdbw_oftotal = array();
$placeHoldersdbw_oftotal = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsdbw_oftotal["Portuguese(Brazil)"] = array();
	$fieldToolTipsdbw_oftotal["Portuguese(Brazil)"] = array();
	$placeHoldersdbw_oftotal["Portuguese(Brazil)"] = array();
	$pageTitlesdbw_oftotal["Portuguese(Brazil)"] = array();
	$fieldLabelsdbw_oftotal["Portuguese(Brazil)"]["obrigFiscalID"] = "Obrig Fiscal ID";
	$fieldToolTipsdbw_oftotal["Portuguese(Brazil)"]["obrigFiscalID"] = "";
	$placeHoldersdbw_oftotal["Portuguese(Brazil)"]["obrigFiscalID"] = "";
	$fieldLabelsdbw_oftotal["Portuguese(Brazil)"]["obrifacao"] = "Obrifacao";
	$fieldToolTipsdbw_oftotal["Portuguese(Brazil)"]["obrifacao"] = "";
	$placeHoldersdbw_oftotal["Portuguese(Brazil)"]["obrifacao"] = "";
	$fieldLabelsdbw_oftotal["Portuguese(Brazil)"]["OF"] = "OF";
	$fieldToolTipsdbw_oftotal["Portuguese(Brazil)"]["OF"] = "";
	$placeHoldersdbw_oftotal["Portuguese(Brazil)"]["OF"] = "";
	$fieldLabelsdbw_oftotal["Portuguese(Brazil)"]["incluir"] = "Incluir";
	$fieldToolTipsdbw_oftotal["Portuguese(Brazil)"]["incluir"] = "";
	$placeHoldersdbw_oftotal["Portuguese(Brazil)"]["incluir"] = "";
	if (count($fieldToolTipsdbw_oftotal["Portuguese(Brazil)"]))
		$tdatadbw_oftotal[".isUseToolTips"] = true;
}


	$tdatadbw_oftotal[".NCSearch"] = true;



$tdatadbw_oftotal[".shortTableName"] = "dbw_oftotal";
$tdatadbw_oftotal[".nSecOptions"] = 0;

$tdatadbw_oftotal[".mainTableOwnerID"] = "";
$tdatadbw_oftotal[".entityType"] = 0;

$tdatadbw_oftotal[".strOriginalTableName"] = "dbw_oftotal";

	



$tdatadbw_oftotal[".showAddInPopup"] = false;

$tdatadbw_oftotal[".showEditInPopup"] = false;

$tdatadbw_oftotal[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadbw_oftotal[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadbw_oftotal[".listAjax"] = false;
//	temporary
$tdatadbw_oftotal[".listAjax"] = false;

	$tdatadbw_oftotal[".audit"] = false;

	$tdatadbw_oftotal[".locking"] = false;


$pages = $tdatadbw_oftotal[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadbw_oftotal[".edit"] = true;
	$tdatadbw_oftotal[".afterEditAction"] = 1;
	$tdatadbw_oftotal[".closePopupAfterEdit"] = 1;
	$tdatadbw_oftotal[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadbw_oftotal[".add"] = true;
$tdatadbw_oftotal[".afterAddAction"] = 1;
$tdatadbw_oftotal[".closePopupAfterAdd"] = 1;
$tdatadbw_oftotal[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadbw_oftotal[".list"] = true;
}



$tdatadbw_oftotal[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadbw_oftotal[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadbw_oftotal[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadbw_oftotal[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadbw_oftotal[".printFriendly"] = true;
}



$tdatadbw_oftotal[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadbw_oftotal[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadbw_oftotal[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadbw_oftotal[".isUseAjaxSuggest"] = true;

$tdatadbw_oftotal[".rowHighlite"] = true;





$tdatadbw_oftotal[".ajaxCodeSnippetAdded"] = false;

$tdatadbw_oftotal[".buttonsAdded"] = false;

$tdatadbw_oftotal[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadbw_oftotal[".isUseTimeForSearch"] = false;


$tdatadbw_oftotal[".badgeColor"] = "E8926F";


$tdatadbw_oftotal[".allSearchFields"] = array();
$tdatadbw_oftotal[".filterFields"] = array();
$tdatadbw_oftotal[".requiredSearchFields"] = array();

$tdatadbw_oftotal[".googleLikeFields"] = array();
$tdatadbw_oftotal[".googleLikeFields"][] = "obrigFiscalID";
$tdatadbw_oftotal[".googleLikeFields"][] = "obrifacao";
$tdatadbw_oftotal[".googleLikeFields"][] = "OF";
$tdatadbw_oftotal[".googleLikeFields"][] = "incluir";



$tdatadbw_oftotal[".tableType"] = "list";

$tdatadbw_oftotal[".printerPageOrientation"] = 0;
$tdatadbw_oftotal[".nPrinterPageScale"] = 100;

$tdatadbw_oftotal[".nPrinterSplitRecords"] = 40;

$tdatadbw_oftotal[".geocodingEnabled"] = false;










$tdatadbw_oftotal[".pageSize"] = 20;

$tdatadbw_oftotal[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadbw_oftotal[".strOrderBy"] = $tstrOrderBy;

$tdatadbw_oftotal[".orderindexes"] = array();

$tdatadbw_oftotal[".sqlHead"] = "SELECT obrigFiscalID,  	obrifacao,  	`OF`,  	incluir";
$tdatadbw_oftotal[".sqlFrom"] = "FROM dbw_oftotal";
$tdatadbw_oftotal[".sqlWhereExpr"] = "";
$tdatadbw_oftotal[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadbw_oftotal[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadbw_oftotal[".arrGroupsPerPage"] = $arrGPP;

$tdatadbw_oftotal[".highlightSearchResults"] = true;

$tableKeysdbw_oftotal = array();
$tdatadbw_oftotal[".Keys"] = $tableKeysdbw_oftotal;


$tdatadbw_oftotal[".hideMobileList"] = array();




//	obrigFiscalID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "obrigFiscalID";
	$fdata["GoodName"] = "obrigFiscalID";
	$fdata["ownerTable"] = "dbw_oftotal";
	$fdata["Label"] = GetFieldLabel("dbw_oftotal","obrigFiscalID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "obrigFiscalID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "obrigFiscalID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_oftotal["obrigFiscalID"] = $fdata;
		$tdatadbw_oftotal[".searchableFields"][] = "obrigFiscalID";
//	obrifacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "obrifacao";
	$fdata["GoodName"] = "obrifacao";
	$fdata["ownerTable"] = "dbw_oftotal";
	$fdata["Label"] = GetFieldLabel("dbw_oftotal","obrifacao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "obrifacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "obrifacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_oftotal["obrifacao"] = $fdata;
		$tdatadbw_oftotal[".searchableFields"][] = "obrifacao";
//	OF
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "OF";
	$fdata["GoodName"] = "OF";
	$fdata["ownerTable"] = "dbw_oftotal";
	$fdata["Label"] = GetFieldLabel("dbw_oftotal","OF");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "OF";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`OF`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_oftotal["OF"] = $fdata;
		$tdatadbw_oftotal[".searchableFields"][] = "OF";
//	incluir
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "incluir";
	$fdata["GoodName"] = "incluir";
	$fdata["ownerTable"] = "dbw_oftotal";
	$fdata["Label"] = GetFieldLabel("dbw_oftotal","incluir");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "incluir";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "incluir";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_oftotal["incluir"] = $fdata;
		$tdatadbw_oftotal[".searchableFields"][] = "incluir";


$tables_data["dbw_oftotal"]=&$tdatadbw_oftotal;
$field_labels["dbw_oftotal"] = &$fieldLabelsdbw_oftotal;
$fieldToolTips["dbw_oftotal"] = &$fieldToolTipsdbw_oftotal;
$placeHolders["dbw_oftotal"] = &$placeHoldersdbw_oftotal;
$page_titles["dbw_oftotal"] = &$pageTitlesdbw_oftotal;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["dbw_oftotal"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["dbw_oftotal"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_dbw_oftotal()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "obrigFiscalID,  	obrifacao,  	`OF`,  	incluir";
$proto0["m_strFrom"] = "FROM dbw_oftotal";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "obrigFiscalID",
	"m_strTable" => "dbw_oftotal",
	"m_srcTableName" => "dbw_oftotal"
));

$proto6["m_sql"] = "obrigFiscalID";
$proto6["m_srcTableName"] = "dbw_oftotal";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "obrifacao",
	"m_strTable" => "dbw_oftotal",
	"m_srcTableName" => "dbw_oftotal"
));

$proto8["m_sql"] = "obrifacao";
$proto8["m_srcTableName"] = "dbw_oftotal";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "OF",
	"m_strTable" => "dbw_oftotal",
	"m_srcTableName" => "dbw_oftotal"
));

$proto10["m_sql"] = "`OF`";
$proto10["m_srcTableName"] = "dbw_oftotal";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "incluir",
	"m_strTable" => "dbw_oftotal",
	"m_srcTableName" => "dbw_oftotal"
));

$proto12["m_sql"] = "incluir";
$proto12["m_srcTableName"] = "dbw_oftotal";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "dbw_oftotal";
$proto15["m_srcTableName"] = "dbw_oftotal";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "obrigFiscalID";
$proto15["m_columns"][] = "obrifacao";
$proto15["m_columns"][] = "OF";
$proto15["m_columns"][] = "incluir";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "dbw_oftotal";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "dbw_oftotal";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="dbw_oftotal";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_dbw_oftotal = createSqlQuery_dbw_oftotal();


	
		;

				

$tdatadbw_oftotal[".sqlquery"] = $queryData_dbw_oftotal;

$tableEvents["dbw_oftotal"] = new eventsBase;
$tdatadbw_oftotal[".hasEvents"] = false;

?>